//
//  AudioRouter.swift
//  VKExt
//
//  Created programmist_NA on 23.05.2020.
//  Copyright © 2020 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import UIKit

class AudioRouter: AudioWireframeProtocol {
    
    weak var viewController: UIViewController?
    weak var baseViewController: UIViewController?
    
    class func createModule(_ viewController: AudioViewController) {
        // Change to get view from storyboard if not using progammatic UI
        let interactor = AudioInteractor()
        let router = AudioRouter()
        let presenter = AudioPresenter(interface: viewController, interactor: interactor, router: router)
        
        viewController.presenter = presenter
        interactor.presenter = presenter
        router.viewController = viewController
        presenter.interactor = interactor
        router.baseViewController = viewController
    }
}
